info.bioinfweb.jphyloio.events.meta

## Class ResourceMetadataEvent

- java.lang.Object
- - info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent
  - - info.bioinfweb.jphyloio.events.LabeledEvent
    - - info.bioinfweb.jphyloio.events.LabeledIDEvent
      - - info.bioinfweb.jphyloio.events.meta.ResourceMetadataEvent

- All Implemented Interfaces:
    JPhyloIOEvent

      public class ResourceMetadataEvent
      extends LabeledIDEvent

  Indicates that metadata linking a RDF resource has been encountered at the current position of the document. The resource can either be named and referenced by `getHRef()` or (if `getHRef()` returns `null`) be an anonymous RDF which is formed by the set of upcoming nested metaevents.

  This event has the topology type `EventTopologyType.START` and other resource and literal metadata event subsequences may be nested before the according end event. The content type is `EventContentType.RESOURCE_META`.

  Since:
    0.0.0
  Author:
    Ben Stöver
  See Also:
    `LiteralMetadataEvent`, Metadata demo application

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceMetadataEvent(java.lang.String id, java.lang.String label, javax.xml.namespace.QName rel)` Creates a new instance of this class with no `hRef` and no `about` values.
    `ResourceMetadataEvent(java.lang.String id, java.lang.String label, javax.xml.namespace.QName rel, java.net.URI hRef, java.lang.String about)` Creates a new instance of this class.
    `ResourceMetadataEvent(java.lang.String id, java.lang.String label, URIOrStringIdentifier rel)` Creates a new instance of this class with no `hRef` and no `about` values.
    `ResourceMetadataEvent(java.lang.String id, java.lang.String label, URIOrStringIdentifier rel, java.net.URI hRef, java.lang.String about)` Creates a new instance of this class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAbout()`
    `java.net.URI` | `getHRef()`
    `URIOrStringIdentifier` | `getRel()`

    - ### Methods inherited from class info.bioinfweb.jphyloio.events.LabeledIDEvent

      `checkID, getID`

    - ### Methods inherited from class info.bioinfweb.jphyloio.events.LabeledEvent

      `getLabel, hasLabel`

    - ### Methods inherited from class info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent

      `asCharacterDefinitionEvent, asCharacterSetIntervalEvent, asCommentEvent, asEdgeEvent, asLabeledIDEvent, asLinkedLabeledIDEvent, asLiteralMetadataContentEvent, asLiteralMetadataEvent, asNodeEvent, asPartEndEvent, asResourceMetadataEvent, asSequenceTokensEvent, asSetElementEvent, asSingleSequenceTokenEvent, asSingleTokenDefinitionEvent, asTokenSetDefinitionEvent, asUnknownCommandEvent, createEndEvent, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceMetadataEvent

          public ResourceMetadataEvent(java.lang.String id,
                                       java.lang.String label,
                                       URIOrStringIdentifier rel,
                                       java.net.URI hRef,
                                       java.lang.String about)

      Creates a new instance of this class.
      Parameters:
        `id` - the unique ID associated with the represented data element (Must be a valid NCName.)
        `label` - a label associated with the represented data element (Maybe `null`.)
        `rel` - the RDF rel URI of this element
        `hRef` - the RDF hRef URI of this element (Maybe `null`.)
        `about` - the content of a specific about attribute to be written on the according XML representation of this element (Maybe `null`.)
      Throws:
        `java.lang.NullPointerException` - if `id` or `rel` are `null`
        `java.lang.IllegalArgumentException` - if the specified ID is not a valid NCName

    - #### ResourceMetadataEvent

          public ResourceMetadataEvent(java.lang.String id,
                                       java.lang.String label,
                                       javax.xml.namespace.QName rel,
                                       java.net.URI hRef,
                                       java.lang.String about)

      Creates a new instance of this class.
      Parameters:
        `id` - the unique ID associated with the represented data element (Must be a valid NCName.)
        `label` - a label associated with the represented data element (Maybe `null`.)
        `rel` - the RDF rel URI of this element (The string representation will be set to the local part of the `QName`.)
        `hRef` - the RDF hRef URI of this element (Maybe `null`.)
        `about` - the content of a specific about attribute to be written on the according XML representation of this element (Maybe `null`.)
      Throws:
        `java.lang.NullPointerException` - if `id` or `rel` are `null`
        `java.lang.IllegalArgumentException` - if the specified ID is not a valid NCName

    - #### ResourceMetadataEvent

          public ResourceMetadataEvent(java.lang.String id,
                                       java.lang.String label,
                                       javax.xml.namespace.QName rel)

      Creates a new instance of this class with no `hRef` and no `about` values.
      Parameters:
        `id` - the unique ID associated with the represented data element (Must be a valid NCName.)
        `label` - a label associated with the represented data element (Maybe `null`.)
        `rel` - the RDF rel URI of this element (The string representation will be set to the local part of the `QName`.)
      Throws:
        `java.lang.NullPointerException` - if `id` or `rel` are `null`
        `java.lang.IllegalArgumentException` - if the specified ID is not a valid NCName

    - #### ResourceMetadataEvent

          public ResourceMetadataEvent(java.lang.String id,
                                       java.lang.String label,
                                       URIOrStringIdentifier rel)

      Creates a new instance of this class with no `hRef` and no `about` values.
      Parameters:
        `id` - the unique ID associated with the represented data element (Must be a valid NCName.)
        `label` - a label associated with the represented data element (Maybe `null`.)
        `rel` - the RDF rel URI of this element
      Throws:
        `java.lang.NullPointerException` - if `id` or `rel` are `null`
        `java.lang.IllegalArgumentException` - if the specified ID is not a valid NCName

  - ### Method Detail

    - #### getRel

          public URIOrStringIdentifier getRel()

    - #### getHRef

          public java.net.URI getHRef()

    - #### getAbout

          public java.lang.String getAbout()